Subject: Renaming remote branch

From: Maaartin <[email-masked]>
Date: Sat, 16 Apr 2011 01:12:03 +0200

I'm tracking a couple of other people's projects using git. Some of them
are git repositories, some are svn. For the svn repos I get sometimes a
remote branch called "trunk", sometimes I get "git-svn". For the git
repos I get always the "master" branch and sometimes some more.

I am only interested in the master branch (i.e., master, trunk, or
git-svn, whatever applies). I'd like to make it all work the same, and
ideally name the remote branch "org", so I can do

git checkout master; git fetch-upstream; git rebase org

where "fetch-upstream" is my repository-local alias getting the data
from the upstream (e.g., "git svn fetch"). The fetch works fine, but I'm
failing to rename the remote branch for one repository (I may be using a
wrong term here; what I want is to make the above command line work for
all my repos).

Regards, Maaartin.